TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: w64bit on June 06, 2021, 07:49:55 AM

Title: Check if drawing contains wipeouts
Post by: w64bit on June 06, 2021, 07:49:55 AM
I tried to check if a drawing contains wipeouts (model and layouts) but the code it's not working.
Code: [Select]
(if (setq selwi (ssget "X" '(list '(0 . "WIPEOUT"))))(alert "Drawing contains WIPEOUTS !"))
Am I missing something here?
Title: Re: Check if drawing contain wipeouts
Post by: Crank on June 06, 2021, 07:58:06 AM
Code: [Select]
(ssget "X" '(0 . "WIPEOUT"))
Title: Re: Check if drawing contains wipeouts
Post by: w64bit on June 06, 2021, 08:28:14 AM
Another one. Not working.
Code: [Select]
(if (/= (setq selwi (ssget "X" '(0 . "WIPEOUT"))) null) (alert "Drawing contains WIPEOUTS !"))
Title: Re: Check if drawing contains wipeouts
Post by: roy_043 on June 06, 2021, 09:22:52 AM
Code: [Select]
(if (setq selwi (ssget "X" '((0 . "WIPEOUT"))))(alert "Drawing contains WIPEOUTS !"))
Title: Re: Check if drawing contains wipeouts
Post by: w64bit on June 06, 2021, 09:52:57 AM
Thank you all very much.